div.sprite {
  width: 62px;
  height: 62px;
  overflow: hidden;
  margin-bottom: 2px;
  background-image: url("../assets/player_frames.png");
}

.thrustR {
  animation: thrustXR 1s steps(8) infinite;
}
.strokeR {
  animation: strokeXR 1s steps(6) infinite;
}
.bowR {
  animation: bowXR 1s steps(13) infinite;
}
.die {
  animation: dieX 1s steps(6) infinite;
}

/*
  64 width and height
  width = width * nb de steps
  height = height * n° de l'animation
*/

@keyframes thrustXR {
  from {
    background-position: 0px -448px;
  }
  to {
    background-position: -512px -448px;
  }
}

@keyframes strokeXR {
  from {
    background-position: 0px -960px;
  }
  to {
    background-position: -384px -960px;
  }
}
@keyframes bowXR {
  from {
    background-position: 0px -1216px;
  }
  to {
    background-position: -832px -1216px;
  }
}
@keyframes dieX {
  from {
    background-position: 0px -1282px;
  }
  to {
    background-position: -384px -1282px;
  }
}

// =================================================================
// _______________________ Movement ________________________________
// =================================================================
.moveR {
  animation: none;
  background-position: 0px calc(64px * -11);
  &.play {
    animation: moveXR 300ms steps(9) infinite;
  }
}
.moveL {
  animation: none;
  background-position: 0px calc(64px * -9);
  &.play {
    animation: moveXL 300ms steps(9) infinite;
  }
}
@keyframes moveXR {
  from {
    background-position: 0px calc(64px * -11);
  }
  to {
    background-position: -576px calc(64px * -11);
  }
}
@keyframes moveXL {
  from {
    background-position: 0px calc(64px * -9);
  }
  to {
    background-position: -576px calc(64px * -9);
  }
}
// =============================================================
// _______________________ JUMP ________________________________
// =============================================================
.castSpellR {
  animation: none;
  background-position: 0px calc(64px * -3);

  &.playJump {
    animation: castXR 200ms steps(5) forwards;
  }
}
@keyframes castXR {
  from {
    background-position: 0px calc(64px * -3);
  }
  to {
    background-position: calc(64px * -5) calc(64px * -3);
  }
}
.castSpellL {
  animation: none;
  background-position: 0px calc(64px * -1);

  &.playJump {
    animation: castXL 200ms steps(5) forwards;
  }
}
@keyframes castXL {
  from {
    background-position: 0px calc(64px * -1);
  }
  to {
    background-position: calc(64px * -5) calc(64px * -1);
  }
}
.victory {
  background-position: 0px calc(64px * -15);
  animation: victory 300ms steps(6) forwards infinite alternate;
}
@keyframes victory {
  from {
    background-position: 0px calc(64px * -15);
  }
  to {
    background-position: calc(64px * -6) calc(64px * -15);
  }
}
// =============================================================
// _______________________ SWORD ________________________________
// =============================================================
#playerSword.hitR {
  width: 70px;
  background-position: -64px calc(64px * -31);
  animation: hitXR 300ms steps(5) infinite;
  animation-iteration-count: 1;
  &.play {
    animation-iteration-count: infinite;
    #swordSlash {
      animation-iteration-count: infinite;
    }
  }
  #swordSlash {
    animation: slashR 300ms 100ms steps(3) infinite;
    animation-iteration-count: 1;
  }
}
#playerSword.hitL {
  background-position: -58px calc(64px * -25);
  animation: hitXL 300ms steps(5) infinite;
  animation-iteration-count: 1;
  #swordSlash {
    left: unset;
    right: -8%;
    animation: slashL 300ms 100ms steps(3) infinite;
    animation-iteration-count: 1;
  }
}

$slash_anim: -95px * 3;
$slash_anima: -95px * 6;
@keyframes hitXR {
  from {
    background-position: -64px calc(64px * -31);
  }
  to {
    background-position: -1024px calc(64px * -31);
  }
}
@keyframes hitXL {
  from {
    background-position: -58px calc(64px * -25);
  }
  to {
    background-position: -1018px calc(64px * -25);
  }
}

@keyframes slashR {
  from {
    opacity: 1;
    background-position: 0px 0px;
  }
  to {
    background-position: $slash_anim 0px;
  }
}
@keyframes slashL {
  from {
    opacity: 1;
    background-position: $slash_anim 0px;
  }
  to {
    background-position: $slash_anima 0px;
  }
}
